## libnss-gw-name 0.2.1

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 CFLAGS = $(BIT_CFLAGS) -g -O2 -Wall -Wpointer-arith
 CPPFLAGS =
 LIBS = `pkg-config --libs libnl-1`
-LDFLAGS = -shared -Wl,-soname,$(INSTALL_NAME) -Wl,-z,defs --no-allow-shlib-undefined
+LDFLAGS = -shared -Wl,-soname,$(INSTALL_NAME) -Wl,-z,defs
 
 all: $(SHARED_OBJECT)
