=== debian/changelog ===
libnss-gw-name (0.2.1-1) unstable; urgency=low

  * Fix typo in Homepage, thx to Tomas Pospisek for noticing (Closes: #574893)
  * Build with Multi-Arch support 

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Jun 2011 12:28:12 +0200
