=== debian/changelog ===
libnss-gw-name (0.3-6) unstable; urgency=medium

  * QA upload

  * Added d/gbp.conf to enforce the use of pristine-tar.
  * Updated vcs in d/control to Salsa.
  * Updated Standards-Version from 4.6.1 to 4.7.0.
  * List dh-nss as preferred build dependency for virtual package
    dh-sequence-installnss.
  * Replaced obsolete pkg-config build depend with pkgconf.
  * Enabled build hardening in d/rules.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 15 Apr 2024 18:49:43 +0200

libnss-gw-name (0.3-5) unstable; urgency=medium

  * QA upload
  * d/patches: Cherry-pick PR#1 from upstream
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * d/control: Point Vcs-* to salsa.d.o
  * d/nss: Install NSS service via dh_installnss (Closes: #1011515)

 -- Gioele Barabucci <gioele@svario.it>  Wed, 23 Nov 2022 07:50:02 +0100

libnss-gw-name (0.3-4) unstable; urgency=medium

  * QA upload.

  [ Vagrant Cascadian ]
  * Update to debhelper-compat 13 and switch to "dh". (Closes: #1010859)
  * postinst/postrm: Remove call to ldconfig, now handled with
    dpkg-triggers.
  * debian/control: Set Priority to "optional".
  * debian/control: Comment out obsolete Vcs-* headers. (Closes: #1009910)
  * debian/control: Set Rules-Requires-Root to "no".
  * Remove obsolete lintian override.

  [ Helmut Grohne ]
  * Make pkg-config substitutable. Fixes FTCBFS. (Closes: #990888)

  [ Vagrant Cascadian ]
  * debian/control: Update Standards-Version to 4.6.0.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Wed, 11 May 2022 11:06:19 -0700

libnss-gw-name (0.3-3) unstable; urgency=medium

  * Orphaning this package

 -- Joachim Breitner <nomeata@debian.org>  Sun, 03 Apr 2022 12:20:23 +0200

libnss-gw-name (0.3-2) unstable; urgency=low

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 03 Jun 2013 14:34:24 +0200

libnss-gw-name (0.3-1) experimental; urgency=low

  * Port to libnl-3.x (Closes: #688166)
  * Bump Standards-Version

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Sep 2012 13:21:17 +0200
