=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: libnss-gw-name
 Section: admin
-Priority: extra
-Maintainer: Joachim Breitner <nomeata@debian.org>
+Priority: optional
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
-  debhelper (>= 8.1.3),
-  pkg-config,
-  libnl-dev,
-Standards-Version: 3.8.4
+  debhelper-compat (= 13),
+  dh-nss | dh-sequence-installnss,
+  pkgconf,
+  libnl-3-dev,
+  libnl-route-3-dev,
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Homepage: http://www.joachim-breitner.de/projects#libnss-gw-name
-VCS-Git: git://git.nomeata.de/libnss-gw-name.git
-VCS-Browser: http://git.nomeata.de/?p=libnss-gw-name.git
-
+Vcs-Browser: https://salsa.debian.org/debian/libnss-gw-name
+Vcs-Git: https://salsa.debian.org/debian/libnss-gw-name.git
 
 Package: libnss-gw-name
 Architecture: linux-any
