=== debian/rules ===
#!/usr/bin/make -f

# enable build hardeining
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS)"

override_dh_auto_install:
	dh_auto_install -- libprefix=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_clean:
	dh_auto_clean
	rm -f *.o *.so *.so.*
